# Class 'mic' — as.mic • AMR (for R)
This transforms a vector to a new class mic, which is an ordered factor with valid MIC values as levels. Invalid MIC values will be translated as NA with a warning.

# Class 'mic'

`as.mic.Rd`

This transforms a vector to a new class `mic`, which is an ordered factor with valid MIC values as levels. Invalid MIC values will be translated as `NA` with a warning.

    as.mic(x, na.rm = FALSE)

    is.mic(x)

## Arguments

x | vector
na.rm | a logical indicating whether missing values should be removed

## Value

Ordered factor with new class `mic`

## Read more on our website!

On our website https://msberends.gitlab.io/AMR you can find a omprehensive tutorial about how to conduct AMR analysis and find the complete documentation of all functions, which reads a lot easier than in R.

## See also

`as.rsi`

## Examples

    # NOT RUN {
    mic_data <- as.mic(c(">=32", "1.0", "1", "1.00", 8, "<=0.128", "8", "16", "16"))
    is.mic(mic_data)

    # this can also coerce combined MIC/RSI values:
    as.mic("<=0.002; S") # will return <=0.002

    plot(mic_data)
    barplot(mic_data)
    freq(mic_data)
    # }